Pixels
GET https://scanflick.com/api/pixels/
curl --request GET \
--url 'https://scanflick.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Por qual campo você está pesquisando. Valores permitidos: name, pixel. |
| type | Opcional String | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir desta data e hora. Formato: Y-m-d H:i:s. |
| datetime_end | Opcional String | Filtrar resultados até esta data e hora. Formato: Y-m-d H:i:s. |
| order_by | Opcional String | Por qual campo ordenar os resultados. Valores permitidos: pixel_id, datetime, last_datetime, name. |
| order_type | Opcional String | A ordenação dos resultados. Valores permitidos são: ASC para ordenação crescente, e DESC para ordenação decrescente. |
| page | Opcional Inteiro | O número da página de onde você quer os resultados. Padrão: 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você quer por página. Valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. Padrão: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:09:57"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/pixels?page=1",
"last": "https://scanflick.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/pixels?page=1"
}
}
GET https://scanflick.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:09:57"
}
}
POST https://scanflick.com/api/pixels
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| type | Obrigatório String | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Obrigatório String | - |
| pixel | Obrigatório String | - |
curl --request POST \
--url 'https://scanflick.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://scanflick.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:09:57"
}
}
POST https://scanflick.com/api/pixels/{pixel_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| type | Opcional String | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opcional String | - |
| pixel | Opcional String | - |
curl --request POST \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:09:57"
}
}
DELETE https://scanflick.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \